Bug 236505 - mail/rspamd: Update to 1.9.0.
Summary: mail/rspamd: Update to 1.9.0.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Vsevolod Stakhov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-13 10:21 UTC by Yasuhiro KIMURA
Modified: 2019-03-16 12:24 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (vsevolod)


Attachments
Patch file (31.57 KB, patch)
2019-03-13 10:21 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (37.32 KB, patch)
2019-03-13 16:05 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (38.52 KB, patch)
2019-03-15 16:48 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2019-03-13 10:21:11 UTC
Created attachment 202837 [details]
Patch file

Update to 1.9.0.
Comment 1 Vsevolod Stakhov freebsd_committer 2019-03-13 10:36:05 UTC
Thank you! Can we also incorporate user change please? https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=230766
Comment 2 Yasuhiro KIMURA 2019-03-13 16:05:20 UTC
Created attachment 202844 [details]
Updated patch file

* Change user and group that rspamd run as from nobody:nobody to rspamd:rspamd and add description about it to UPDATING.
* Remove unnecessary files/rspamd_redirector.in.
Comment 3 Yasuhiro KIMURA 2019-03-15 16:48:18 UTC
Created attachment 202884 [details]
Updated patch file

Update files/rspamd.newsyslog.conf.sample.in to chase user and group change that rspamd run as.
Comment 4 commit-hook freebsd_committer 2019-03-16 12:24:19 UTC
A commit references this bug:

Author: vsevolod
Date: Sat Mar 16 12:24:05 UTC 2019
New revision: 495871
URL: https://svnweb.freebsd.org/changeset/ports/495871

Log:
  - Update mail/rspamd to 1.9
  - Remove obsoleted redirector start script
  - Change user and group from nobody to Rspamd
  - Add notes to UPDATING

  PR:		236505
  Submitted by:	Yasuhiro KIMURA <yasu at utahime.org>

Changes:
  head/UPDATING
  head/mail/rspamd/Makefile
  head/mail/rspamd/distinfo
  head/mail/rspamd/files/rspamd.in
  head/mail/rspamd/files/rspamd.newsyslog.conf.sample.in
  head/mail/rspamd/files/rspamd_redirector.in
  head/mail/rspamd/pkg-plist
  head/mail/rspamd-devel/Makefile
  head/mail/rspamd-devel/distinfo
  head/mail/rspamd-devel/files/rspamd.in
  head/mail/rspamd-devel/files/rspamd.newsyslog.conf.sample.in
  head/mail/rspamd-devel/files/rspamd_redirector.in
  head/mail/rspamd-devel/pkg-plist
Comment 5 Vsevolod Stakhov freebsd_committer 2019-03-16 12:24:57 UTC
Committed, thank you!